<?xml version="1.0" encoding="UTF-8"?>
<ksdk:examples xmlns:ksdk="http://nxp.com/ksdk/2.0/ksdk_manifest_v3.0.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://nxp.com/ksdk/2.0/ksdk_manifest_v3.0.xsd manifest.xsd">
  <externalDefinitions>
    <definition extID="com.nxp.mcuxpresso"/>
    <definition extID="platform.devices.MK64F12_CMSIS.MK64F12"/>
    <definition extID="platform.devices.MK64F12_startup.MK64F12"/>
    <definition extID="platform.drivers.clock.MK64F12"/>
    <definition extID="platform.drivers.common.MK64F12"/>
    <definition extID="platform.drivers.flash.MK64F12"/>
    <definition extID="platform.drivers.gpio.MK64F12"/>
    <definition extID="platform.drivers.port.MK64F12"/>
    <definition extID="platform.drivers.sim.MK64F12"/>
    <definition extID="platform.drivers.smc.MK64F12"/>
    <definition extID="platform.drivers.sysmpu.MK64F12"/>
    <definition extID="platform.drivers.uart.MK64F12"/>
    <definition extID="platform.utilities.debug_console.MK64F12"/>
    <definition extID="iar"/>
    <definition extID="mdk"/>
    <definition extID="armgcc"/>
    <definition extID="kds"/>
    <definition extID="mcuxpresso"/>
    <definition extID="drt"/>
  </externalDefinitions>
  <example id="frdmk64f_usb_examples_usb_host_hid_mouse_bm" name="bm" category="usb_examples/usb_host_hid_mouse" dependency="platform.drivers.uart.MK64F12 platform.devices.MK64F12_CMSIS.MK64F12 platform.utilities.debug_console.MK64F12 platform.drivers.port.MK64F12 platform.drivers.sim.MK64F12 platform.drivers.clock.MK64F12 platform.drivers.gpio.MK64F12 platform.drivers.sysmpu.MK64F12 platform.drivers.common.MK64F12 platform.drivers.smc.MK64F12 platform.drivers.flash.MK64F12 platform.devices.MK64F12_startup.MK64F12" toolchain="iar mdk armgcc kds mcuxpresso drt">
    <projects>
      <project type="com.crt.advproject.projecttype.exe" nature="org.eclipse.cdt.core.cnature"/>
    </projects>
    <toolchainSettings>
      <!-- Curently, mcux just supports one common settings set for both debug and release -->
      <toolchainSetting id_refs="com.nxp.mcuxpresso">
        <!-- asm compiler -->
        <option id="com.crt.advproject.gas.fpu" type="enum">
          <value>com.crt.advproject.gas.fpu.fpv4.hard</value>
        </option>
        <option id="gnu.both.asm.option.warnings.nowarn" type="boolean">
          <value>false</value>
        </option>
        <!-- gcc compiler -->
        <option id="com.crt.advproject.gcc.fpu" type="string">
          <value>com.crt.advproject.gcc.fpu.fpv4.hard</value>
        </option>
        <option id="com.crt.advproject.c.misc.dialect" type="enum">
          <value>com.crt.advproject.misc.dialect.gnu99</value>
        </option>
        <option id="com.crt.advproject.gcc.exe.debug.option.debugging.level" type="enum">
          <value>gnu.c.debugging.level.default</value>
        </option>
        <option id="com.crt.advproject.gcc.exe.release.option.debugging.level" type="enum">
          <value>gnu.c.debugging.level.default</value>
        </option>
        <option id="gnu.c.compiler.option.warnings.nowarn" type="boolean">
          <value>false</value>
        </option>
        <option id="gnu.c.compiler.option.warnings.allwarn" type="boolean">
          <value>true</value>
        </option>
        <option id="gnu.c.compiler.option.warnings.extrawarn" type="boolean">
          <value>false</value>
        </option>
        <option id="gnu.c.compiler.option.warnings.wconversion" type="boolean">
          <value>false</value>
        </option>
        <option id="gnu.c.compiler.option.warnings.toerrors" type="boolean">
          <value>false</value>
        </option>
        <option id="gnu.c.compiler.option.preprocessor.def.symbols" type="stringList">
          <value>_DEBUG=1</value>
          <value>CPU_MK64FN1M0VLL12</value>
          <value>USB_STACK_BM</value>
          <value>FRDM_K64F</value>
          <value>FREEDOM</value>
        </option>
        <option id="gnu.c.compiler.option.optimization.flags" type="string">
          <value>-fno-common</value>
        </option>
        <option id="gnu.c.compiler.option.misc.other" type="enum">
          <value>-c  -ffunction-sections  -fdata-sections  -ffreestanding  -fno-builtin</value>
        </option>
        <option id="gnu.c.compiler.option.preprocessor.nostdinc" type="boolean">
          <value>false</value>
        </option>
        <!-- gcc linker -->
        <option id="com.crt.advproject.link.fpu" type="enum">
          <value>com.crt.advproject.link.fpu.fpv4.hard</value>
        </option>
        <option id="gnu.c.link.option.nostart" type="boolean">
          <value>false</value>
        </option>
        <option id="gnu.c.link.option.nodeflibs" type="boolean">
          <value>false</value>
        </option>
        <option id="gnu.c.link.option.nostdlibs" type="boolean">
          <value>true</value>
        </option>
        <option id="gnu.c.link.option.strip" type="boolean">
          <value>false</value>
        </option>
        <option id="gnu.c.link.option.noshared" type="boolean">
          <value>false</value>
        </option>
        <option id="gnu.c.link.option.other" type="stringList">
          <value>--gc-sections</value>
        </option>
        <option id="com.crt.advproject.link.memory.heapAndStack" type="string">
          <value>&amp;Heap:Default;Default;0x2000&amp;Stack:Default;Default;0x2000</value>
        </option>
      </toolchainSetting>
    </toolchainSettings>
    <source path="boards/frdmk64f/usb_examples/usb_host_hid_mouse/bm" target_path="board" type="c_include">
      <files mask="board.h"/>
      <files mask="clock_config.h"/>
      <files mask="pin_mux.h"/>
    </source>
    <source path="boards/frdmk64f/usb_examples/usb_host_hid_mouse/bm" target_path="board" type="src">
      <files mask="board.c"/>
      <files mask="clock_config.c"/>
      <files mask="pin_mux.c"/>
    </source>
    <source path="boards/frdmk64f/usb_examples/usb_host_hid_mouse/bm" target_path="sources" type="c_include">
      <files mask="host_mouse.h"/>
      <files mask="usb_host_config.h"/>
    </source>
    <source path="boards/frdmk64f/usb_examples/usb_host_hid_mouse/bm" target_path="sources" type="src">
      <files mask="app.c"/>
      <files mask="host_mouse.c"/>
    </source>
    <source path="middleware/usb_1.6.3/host/class" target_path="usb/host/class" type="c_include">
      <files mask="usb_host_hid.h"/>
      <files mask="usb_host_hub.h"/>
      <files mask="usb_host_hub_app.h"/>
    </source>
    <source path="middleware/usb_1.6.3/host/class" target_path="usb/host/class" type="src">
      <files mask="usb_host_hid.c"/>
      <files mask="usb_host_hub.c"/>
      <files mask="usb_host_hub_app.c"/>
    </source>
    <source path="middleware/usb_1.6.3/host" target_path="usb/host" type="c_include">
      <files mask="usb_host.h"/>
      <files mask="usb_host_devices.h"/>
      <files mask="usb_host_framework.h"/>
      <files mask="usb_host_hci.h"/>
      <files mask="usb_host_khci.h"/>
    </source>
    <source path="middleware/usb_1.6.3/host" target_path="usb/host" type="src">
      <files mask="usb_host_devices.c"/>
      <files mask="usb_host_framework.c"/>
      <files mask="usb_host_hci.c"/>
      <files mask="usb_host_khci.c"/>
    </source>
    <source path="middleware/usb_1.6.3/include" target_path="usb/include" type="c_include">
      <files mask="usb.h"/>
      <files mask="usb_misc.h"/>
      <files mask="usb_spec.h"/>
    </source>
    <source path="middleware/usb_1.6.3/osa" target_path="osa" type="c_include">
      <files mask="usb_osa.h"/>
      <files mask="usb_osa_bm.h"/>
    </source>
    <source path="middleware/usb_1.6.3/osa" target_path="osa" type="src">
      <files mask="usb_osa_bm.c"/>
    </source>
  </example>
</ksdk:examples>
